using System;

using DHTMLX.Scheduler;

namespace Scheduler.Net.SignalR
{
    public class Calendar : System.Web.UI.Page
    {
        public DHXScheduler Scheduler { get; set; }
        protected void Page_Load(object sender, EventArgs e)
        {
            Scheduler = new DHXScheduler();

            Scheduler.InitialDate = new DateTime(2011, 11, 24);

            Scheduler.Config.first_hour = 8;
            Scheduler.Config.last_hour = 19;
            Scheduler.Config.time_step = 30;
            Scheduler.Config.limit_time_select = true;

            Scheduler.DataAction = this.ResolveUrl("~/Data.ashx");
            Scheduler.SaveAction = this.ResolveUrl("~/Save.ashx");

            Scheduler.Skin = DHXScheduler.Skins.Terrace;
            Scheduler.Config.use_select_menu_space = true;

            Scheduler.LoadData = true;
            Scheduler.EnableDataprocessor = true;

            Scheduler.Extensions.Add(SchedulerExtensions.Extension.LiveUpdates);
            Scheduler.Extensions.Add(SchedulerExtensions.Extension.Recurring);
        }
    }
}